%global momorel 2
%global md5sum_src0 eaeb723a346570a0e3859c7b056a513f

%global moz_plugindir %{_libdir}/mozilla/plugins

Summary : Embedded Video Player for Mozilla
Name: mplayerplug-in
Version: 3.40
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Internet
URL: http://mplayerplug-in.sourceforge.net/
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
Buildroot: %{_tmppath}/%{name}-%{version}-root
Requires: firefox >= 2.0.0.6
Requires: gtk+
Requires: mplayer
BuildRequires: gtk+-devel
BuildRequires: firefox-devel >= 2.0.0.6

%description
mplayerplug-in is a Mozilla browser plugin to allow playing embedded movies
on web pages.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}

%build
%configure --enable-wmp \
           --enable-qt \
           --enable-rm \
           --enable-gmp
make

%install
install -d %{buildroot}/%{moz_plugindir}
install -d %{buildroot}/%{_libdir}/mozilla/components/
install mplayerplug-in*.so %{buildroot}/%{moz_plugindir}
install mplayerplug-in*.xpt %{buildroot}/%{_libdir}/mozilla/components/
pushd po
%makeinstall DESTDIR=%{buildroot}
popd

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README TODO DOCS/
%{moz_plugindir}/mplayerplug-in*.so
%{_libdir}/mozilla/components/mplayerplug-in*.xpt
%{_datadir}/locale/*/LC_MESSAGES/*

%changelog
* Tue Aug  7 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.40-2m)
- add Requires for firefox

* Fri Mar 23 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (3.40-1m)
- update to 3.40

* Sun Jan 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (3.35-1m)
- update to 3.35

* Mon Nov 13 2006 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (3.31-2m)
- copy from momonga's trunk (r12695)
- use firefox-devel instead of mozilla-devel

* Sun Sep  3 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.31-1m)
- update to 3.31

* Sat Jul  8 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (3.25-1m)
- Initial build for Momonga Linux 3
